<?php
/*
 * Email Templates Support Functions
 */

/**
 * Outputs a checked="checked" if the value is checked
 */
function nlws_et_checked( $value, $optionname ) {
	if ($optionname == $value)
		echo 'checked="checked"';	
}

/**
 * Outputs a selected="selected" if the value is selected
 */
function nlws_et_selected( $value, $optionname ) {
	if ($optionname == $value)
		echo 'selected="selected"';	
}

function show_override_options( $value ) {
	if (!$value)
		echo 'style="display: none;"';
}

function nlws_et_alternate( $value ) {
	$remainder = $value % 2;
	if ($remainder)
		echo "alternate";
}

function nlws_et_switch_value( $value, $default ) {
	$option = get_option(nlws_et_settings);
	if ($value)
		return $value;
	else
		return $option[$default];
}

function nlws_et_determine_sort_link( $column ) {
	// Get the $_GET variables and see what's up with it
	$orderby = $_GET['orderby'];
	$order = $_GET['order'];
	$page = $_GET['page'];
	$thelink = 'admin.php?page=' . $page;
	
	$thelink.= '&orderby=' . $column;
	
	if ( $orderby == $column) {
		if ( $order == 'asc' )
			$thelink.= '&order=desc';
		else
			$thelink.= '&order=asc';
	}
	else {
		$thelink.= '&order=asc';
	}
	
	echo $thelink;
}

function nlws_et_determine_sort_class( $column ) {
	// Get the $_GET variables and see what's up with it
	$orderby = $_GET['orderby'];
	$order = $_GET['order'];
	
	if ($orderby == $column) {
		if ($order=='asc' || !$order) {
			echo "sorted asc";
		}
		else
			echo "sorted desc";

	}
	
	elseif ( ( $orderby != $column ) || !$orderby ) {
		echo "sortable desc";
	}
}


function nlws_et($templateID, $to, $tags) {
	/**
	 * Get the template from the DB
	 */
	global $wpdb;
	$SQL = "SELECT * FROM " . NLWS_ET_TABLE . " WHERE ID=" . $templateID;
	$r = $wpdb->get_row($SQL);
	
	$subject = $r->subject;
	
	/**
	 * Build the content and headers
	 */
	
	if (($r->use_global_settings == false) || ($r->use_global_settings === false)) {
		/**
		 * This is actually reversed of what the label implies
		 * If this is false we need to use the global settings
		 */
		$options = get_option( 'nlws_et_settings' );
		
		$content = $options['default_header'];
		$content.= nl2br($r->content);
		$content.= $options['default_footer'];
		
		if ($options['send_as_html'] == true) {
			$headers = 'MIME-Version: 1.0' . "\r\n";
			$headers.= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
			
			/**
			 * Prep the content to send as HTML
			 */
			$content = html_entity_decode(stripslashes($content),ENT_NOQUOTES);
		} else {
			$headers = 'MIME-Version: 1.0' . "\r\n";
			$headers.= 'Content-type: text/plain; charset=iso-8859-1' . "\r\n";
			
			/**
			 * Remove the HTML from the content
			 * and format the string as ONLY text
			 */
			$content = trim(strip_tags(stripslashes(html_entity_decode($content, ENT_QUOTES))));
		}
		$headers.= 'From: ' . $options['default_from'] . ' <' . $options['default_email'] . '>' . "\n";
		$headers.= 'Reply-To: ' . $options['default_email'] . "\n";
	} else {
		$content = $r->header;
		$content.= nl2br($r->content);
		$content.= $r->footer;

		if ($r->send_as_html == true) {
			$headers = 'MIME-Version: 1.0' . "\r\n";
			$headers.= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
			
			/**
			 * Prep the content to send as HTML
			 */
			$content = html_entity_decode(stripslashes($content),ENT_NOQUOTES);
		} else {
			$headers = 'MIME-Version: 1.0' . "\r\n";
			$headers.= 'Content-type: text/plain; charset=iso-8859-1' . "\r\n";
			
			/**
			 * Remove the HTML from the content
			 * and format the string as ONLY text
			 */
			$content = trim(strip_tags(stripslashes(html_entity_decode($content, ENT_QUOTES))));
		}
		$headers.= 'From: ' . $r->from_name . ' <' . $r->from_email . '>' . "\n";
		$headers.= 'Reply-To: ' . $r->from_email . "\n";
	}
	
	/**
	 * Replace things with other things
	 */
	foreach (array_keys($tags) as $tagkey) {
		$magictag = '{@' . $tagkey . '}';
		$subject = str_replace ($magictag, $tags[$tagkey], $subject);
		$content = str_replace ($magictag, $tags[$tagkey], $content);
	}
	if (wp_mail( $to, $subject, $content, $headers )) {
		$wpdb->insert( NLWS_ET_LOG, array(
			'to' => $to,
			'content' => $content,
			'subject' => $subject
		));
	}
}