<?php
/**
 * Log page
 */
function nlws_et_log() { ?>
	<div class="wrap">
		<div id="icon-log" class="icon32"></div><h2>eTemplates - Email Logs</h2>
		<?php include ('views/et-logs-list.php') ?>
	</div>
<?php }
/**
 * Options page
 */
function nlws_et_global_settings() { ?>
	<div class="wrap">
		<div id="icon-options-general" class="icon32"></div><h2>eTemplates - Global Settings</h2>
		<?php if ( $_GET['settings-updated']==true ) : ?>
			<div class="updated fade"><p><strong><?php _e( 'Global settings saved.' ); ?></strong></p></div>
		<?php endif; ?>
		
		<form method="post" action="options.php" id="globaletemplateoptions">
			<?php
			settings_fields( 'nlws_et_settings' );
			$options = get_option( 'nlws_et_settings' );
			?>
			<table class="form-table">
				<tr valign="top"><th scope="row"><label for="nlws_et_settings[default_email]"><?php _e( 'Default From Email Address' ); ?></label></th>
					<td>
						<input id="nlws_et_settings[default_email]" class="regular-text required" type="text" name="nlws_et_settings[default_email]" value="<?php esc_attr_e( $options['default_email'] ); ?>" />
						<span class="description"><?php _e( 'This value will be carried over to all new email templates.' ); ?></span>
					</td>
				</tr>

				<tr valign="top"><th scope="row"><label for="nlws_et_settings[default_from]"><?php _e( 'Default From Email Name' ); ?></label></th>
					<td>
						<input id="nlws_et_settings[default_from]" class="regular-text required" type="text" name="nlws_et_settings[default_from]" value="<?php esc_attr_e( $options['default_from'] ); ?>" />
						<span class="description"><?php _e( 'This value will be carried over to all new email templates.' ); ?></span>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row"><label for="nlws_et_settings[send_as_html]"><?php _e( 'Send as HTML by Default' ); ?></label></th>
					<td>
						<input id="nlws_et_settings[send_as_html]" name="nlws_et_settings[send_as_html]" type="checkbox" value="1" <?php nlws_et_checked( '1', $options['send_as_html'] ); ?> />
						<span class="description"><?php _e( 'Check this box if you wish new templates to automatically send emails in HTML format.' ); ?></span>
					</td>
				</tr>

				<tr valign="top"><th scope="row"><label for="nlws_et_settings[default_header]"><?php _e( 'Default Template Header' ); ?></label></th>
					<td>
						<textarea id="nlws_et_settings[default_header]" class="large-text required" cols="50" rows="10" name="nlws_et_settings[default_header]"><?php echo stripslashes( $options['default_header'] ); ?></textarea>
						<span class="description"><?php _e( 'Please use only valid XHTML.' ); ?></span>
					</td>
				</tr>

				<tr valign="top"><th scope="row"><label for="nlws_et_settings[default_footer]"><?php _e( 'Default Template Footer' ); ?></label></th>
					<td>
						<textarea id="nlws_et_settings[default_footer]" class="large-text required" cols="50" rows="10" name="nlws_et_settings[default_footer]"><?php echo stripslashes( $options['default_footer'] ); ?></textarea>
						<span class="description"><?php _e( 'Please use only valid XHTML.' ); ?></span>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row"><label for="nlws_et_settings[allow_template_override]"><?php _e( 'New Templates Default to Override' ); ?></label></th>
					<td>
						<input id="nlws_et_settings[allow_template_override]" name="nlws_et_settings[allow_template_override]" type="checkbox" value="1" <?php nlws_et_checked( '1', $options['allow_template_override'] ); ?> />
						<span class="description"><?php _e( 'Check this box if you wish new templates to automatically have the override setting enabled. <em><strong>*Not Recommended*</strong></em>' ); ?></span>
					</td>
				</tr>
			</table>

			<p class="submit">
		    	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
		    </p>
		</form>
	</div><!-- .wrap -->
<?php }

/**
 * Templates Page
 */
function nlws_et_templates() { ?>
	<div class="wrap">
		<?php
		$options = get_option('nlws_et_settings');
		global $wpdb;
		if ($_GET['action']=='add') {
			if ($_POST['submitpressed']) {
				// Get all variables
				$templateName = esc_attr($_POST['nlws_et_template_name']);
				$templateOverride = esc_attr($_POST['nlws_et_override_globals']);
				$templateSendAsHTML = esc_attr($_POST['nlws_et_send_as_html']);
				$templateFromEmail = esc_attr($_POST['nlws_et_from_email']);
				$templateFromName = esc_attr($_POST['nlws_et_from_name']);
				$templateHeader = esc_attr($_POST['nlws_et_header']);
				$templateFooter = esc_attr($_POST['nlws_et_footer']);
				$templateSubject = esc_attr($_POST['nlws_et_subject']);
				$templateContent = esc_attr($_POST['nlws_et_content']);
				
				if ($templateOverride) {
					$wpdb->insert( NLWS_ET_TABLE, array(
						'name' => $templateName,
						'use_global_settings' => $templateOverride,
						'send_as_html' => $templateSendAsHTML,
						'from_email' => $templateFromEmail,
						'from_name' => $templateFromName,
						'header' => $templateHeader,
						'footer' => $templateFooter,
						'subject' => $templateSubject,
						'content' => $templateContent
					));
				}
				else {
					$wpdb->insert( NLWS_ET_TABLE, array(
						'name' => $templateName,
						'subject' => $templateSubject,
						'content' => $templateContent
					));
				}
				
				$id = $wpdb->insert_id;
				$SQL = "SELECT * FROM " . NLWS_ET_TABLE . " WHERE ID=" . $id;
				$r = $wpdb->get_row($SQL);
				include 'views/et-templates-edit.php';
			} else
				include 'views/et-templates-add.php';
		} elseif ($_GET['action']=='edit') {
			if ($_POST['submitpressed']) {
				// Get all variables
				$templateName = esc_attr($_POST['nlws_et_template_name']);
				$templateOverride = esc_attr($_POST['nlws_et_override_globals']);
				$templateSendAsHTML = esc_attr($_POST['nlws_et_send_as_html']);
				$templateFromEmail = esc_attr($_POST['nlws_et_from_email']);
				$templateFromName = esc_attr($_POST['nlws_et_from_name']);
				$templateHeader = esc_attr($_POST['nlws_et_header']);
				$templateFooter = esc_attr($_POST['nlws_et_footer']);
				$templateSubject = esc_attr($_POST['nlws_et_subject']);
				$templateContent = esc_attr($_POST['nlws_et_content']);
				
				if ($templateOverride) {
					$wpdb->update( NLWS_ET_TABLE, array(
						'name' => $templateName,
						'use_global_settings' => $templateOverride,
						'send_as_html' => $templateSendAsHTML,
						'from_email' => $templateFromEmail,
						'from_name' => $templateFromName,
						'header' => $templateHeader,
						'footer' => $templateFooter,
						'subject' => $templateSubject,
						'content' => $templateContent
					), array( 'ID' => $_GET['id'] ));
				}
				else {
					$wpdb->update( NLWS_ET_TABLE, array(
						'name' => $templateName,
						'use_global_settings' => NULL,
						'subject' => $templateSubject,
						'content' => $templateContent
					), array( 'ID' => $_GET['id'] ));
				}
			}
			$id = $_GET['id'];
			$SQL = "SELECT * FROM " . NLWS_ET_TABLE . " WHERE ID=" . $id;
			$r = $wpdb->get_row($SQL);
			include 'views/et-templates-edit.php';
		}
			
		else
			include 'views/et-templates-list.php';
		?>
	</div>
<?php }

/**
 * Help Page
 */
function nlws_et_help() { ?>
	<div class="wrap">
		<div id="icon-help" class="icon32"></div><h2>eTemplates - Help</h2>
		<p>Glad you found your way here!&nbsp; Please note, that we will not let anyone know that you stopped and asked for directions :)<br />
			<ul>
				<li><a href="#php">PHP Usage</a></li>
				<li><a href="#tags">Using Tags</a></li>
			</ul>
		</p>
		
		<a name="php"></a><h3>PHP Usage</h3>
		<code>
		&lt;?php<br />
		$emailtags = array('magictag1' => 'value1', 'magictag2' => 'value2', 'magictag3' => 'value3');<br />
		nlws_et($templateID, $to, $emailtags);<br />
		?&gt;
		</code>
		<br /><br />
		<table class="info">
			<tr>
				<th>Parameter</th>
				<th>Description</th>
			</tr>
			<tr>
				<td><em>$templateID</em></td>
				<td>The ID of the eTemplate you are using</td>
			</tr>
			<tr>
				<td><em>$to</em></td>
				<td>The email address of person you are sending the email to.</td>
			</tr>
			<tr>
				<td><em>$emailtags</em></td>
				<td>An array that uses key value pairs to match the email tag with its appropriate value.</td>
			</tr>
		</table>
		
		<a name="tags"></a><h3>Using Tags</h3>
		<p>The key benefit of using eTemplates is how the plugin <em><strong>interprets tags</strong></em>.&nbsp; While simple in design, the overall concept maybe confusing at first.&nbsp;</p>
		<p>Tags use the following syntax: <code>{@MY_TAG_HERE}</code></p>
		<p>Some things to note about tags:
		<ul>
			<li>Tags can be used in the <strong>subject</strong> or <strong>content</strong></em> part of a template.</li>
			<li>Tags <strong>ARE</strong> case sensitive.&nbsp; For clarification this means that they need to appear the same way when used in the eTemplate and when used in the PHP.</li>
		</ul>
		</p>
	</div>
<?php } ?>