<?php
/**
 * Load global settings - This will determine how we will render out the page.
 */
?>
<div id="icon-template" class="icon32"></div><h2>eTemplates - Add New Template</h2>
<form method="post" action="" id="addetemplate" name="addetemplate">
	<table class="form-table">
		<tr valign="top"><th scope="row"><label for="nlws_et_template_name"><?php _e( 'Template Name' ); ?></label></th>
			<td>
				<input id="nlws_et_template_name" class="regular-text required" type="text" name="nlws_et_template_name" value="" />
			</td>
		</tr>
		
		<tr valign="top"><th scope="row"><label for="nlws_et_override_globals"><?php _e( 'Override Global Settings' ); ?></label></th>
			<td>
				<input id="nlws_et_override_globals" name="nlws_et_override_globals" type="checkbox" value="1" <?php nlws_et_checked( true, $options['allow_template_override'] ); ?> />
				<span class="description"><?php _e( 'Check this box if you wish to override the default global settings.' ); ?></span>
			</td>
		</tr>
	</table>
	<div id="override_options" <?php show_override_options($options['allow_template_override']); ?>>
		<table class="form-table">
			<tr valign="top"><th scope="row"><label for="nlws_et_from_email"><?php _e( 'From Email Address' ); ?></label></th>
				<td>
					<input id="nlws_et_from_email" class="regular-text" type="text" name="nlws_et_from_email" value="<?php esc_attr_e( $options['default_email'] ); ?>" />
				</td>
			</tr>

			<tr valign="top"><th scope="row"><label for="nlws_et_from_name"><?php _e( 'From Email Name' ); ?></label></th>
				<td>
					<input id="nlws_et_from_name" class="regular-text" type="text" name="nlws_et_from_name" value="<?php esc_attr_e( $options['default_from'] ); ?>" />
				</td>
			</tr>
			
			<tr valign="top"><th scope="row"><label for="nlws_et_send_as_html"><?php _e( 'Send as HTML by Default' ); ?></label></th>
				<td>
					<input id="nlws_et_send_as_html" name="nlws_et_send_as_html" type="checkbox" value="1" <?php nlws_et_checked( true, $options['send_as_html'] ); ?> />
					<span class="description"><?php _e( 'Check this box if you wish to send this email in HTML format.' ); ?></span>
				</td>
			</tr>

			<tr valign="top"><th scope="row"><label for="nlws_et_header"><?php _e( 'Template Header' ); ?></label></th>
				<td>
					<textarea id="nlws_et_header" class="large-text" cols="50" rows="10" name="nlws_et_header"><?php echo stripslashes( $options['default_header'] ); ?></textarea>
					<span class="description"><?php _e( 'Please use only valid XHTML.' ); ?></span>
				</td>
			</tr>

			<tr valign="top"><th scope="row"><label for="nlws_et_footer"><?php _e( 'Template Footer' ); ?></label></th>
				<td>
					<textarea id="nlws_et_footer" class="large-text" cols="50" rows="10" name="nlws_et_footer"><?php echo stripslashes( $options['default_footer'] ); ?></textarea>
					<span class="description"><?php _e( 'Please use only valid XHTML.' ); ?></span>
				</td>
			</tr>
		</table>
	</div>
	
	<table class="form-table">
		<tr valign="top"><th scope="row"><label for="nlws_et_subject"><?php _e( 'Subject' ); ?></label></th>
			<td>
				<input id="nlws_et_subject" class="regular-text required" type="text" name="nlws_et_subject" value="" />
			</td>
		</tr>

		<tr valign="top"><th scope="row"><label for="nlws_et_content"><?php _e( 'Content' ); ?></label></th>
			<td>
				<textarea id="nlws_et_content" class="large-text required" cols="50" rows="10" name="nlws_et_content"></textarea>
				<span class="description"><?php _e( 'Please use only valid XHTML.' ); ?></span>
			</td>
		</tr>
	</table>

	<p class="submit">
		<input type="hidden" id="submitpressed" name="submitpressed" value="1" />
		<input type="submit" class="button-primary" value="<?php _e('Add New Template') ?>" />&nbsp; |&nbsp; <a href="admin.php?page=nlws-et-templates">Cancel</a>
	</p>
</form>